#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Common rules
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# In order to run `make swig' one time only for the build
STAMP_MAKE_SWIG=debian/stamp-make-swig

# Don't compress .py, .glade and .gladep files
DEB_COMPRESS_EXCLUDE := .py .glade .gladep

# Documentations
DEB_HTML_DOC=debian/html

DEB_DESTDIR=debian/python-pyme

# Run `make swig' before building
post-patches::
	if ! test -f $(STAMP_MAKE_SWIG); then \
	  PYTHON=/usr/bin/python make swig; \
	  touch $(STAMP_MAKE_SWIG); \
	else \
	  echo "make swig already done"; \
	fi

install/python-pyme-doc::
	make docs
	cp -r $(DEB_SRCDIR)/doc $(DEB_HTML_DOC)

clean::
	# Clean the source tree
	-rm -rf $(DEB_HTML_DOC) $(STAMP_MAKE_SWIG)
	make reallyclean
